
Name:       simavr
Version:    1.6
Release:    2%{?dist}
Summary:    A lean and mean Atmel AVR simulator for linux

License:    GPLv3
URL:        https://github.com/buserror/simavr

Source0:    %{name}-%{version}.tar.gz

Patch1:     %{name}-1.6-build.patch

BuildRequires: elfutils-libelf-devel
BuildRequires: freeglut-devel
BuildRequires: avr-gcc
BuildRequires: avr-libc
BuildRequires: gcc


%description
simavr is a new AVR simulator for linux, or any platform
that uses avr-gcc. It uses avr-gcc's own register definition to simplify
creating new targets for supported AVR devices. The core was made to be small
and compact, and hackable so allow quick prototyping of an AVR project. The AVR
core is now stable for use with parts with <= 128KB flash, and with preliminary
support for the bigger parts. The simulator loads ELF files directly, and there
is even a way to specify simulation parameters directly in the emulated code
using an .elf section. You can also load multipart HEX files.


%prep
%setup -q

%patch1 -p1 -b .build


%build
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags} V=1 RELEASE=1

%install
make install \
    DESTDIR="%{buildroot}" \
    PREFIX="%{_prefix}" RELEASE=1 \
    LIB_INSTALL_DIR=%{_libdir}
#%make_install RELEASE=1

rm "%{buildroot}/%{_libdir}/libsimavr.a"
rm "%{buildroot}/%{_libdir}/libsimavrparts.a"

%ldconfig_scriptlets

%files

%{_bindir}/simavr
%{_includedir}/simavr/*
%{_libdir}/libsimavr.so
%{_libdir}/libsimavr.so.1
%{_libdir}/libsimavrparts.so
%{_libdir}/libsimavrparts.so.1
%{_libdir}/pkgconfig/*
%doc README.md
%license COPYING

%changelog
* Thu Nov 01 2018 Matej Mužila <mmuzila@gmail.com> - 1.6-2
- Add BuildRequire dependency on gcc

* Sat Oct 27 2018 Matej Mužila <mmuzila@gmail.com> - 1.6-1
- Packaged simavr



